import React, { useMemo } from 'react';
import { useMultiFilePicker, DragAndDropProvider } from "react-admin-base";
import { FormattedMessage } from "react-intl";
import { Button } from "reactstrap";
import FilePickerCore from "./FilePickerCore";
export default function MultiFilePicker({ disabled, className, noMove, accepts, value, onChange, children }) {
    const uniqueIdList = useMemo(() => [], []);
    const [controllers, _onChange, chooseFile, onMove] = useMultiFilePicker(value, onChange);
    function getConstantUniqueIdFor(element) {
        if (uniqueIdList.indexOf(element) < 0) {
            uniqueIdList.push(element);
        }
        return uniqueIdList.indexOf(element);
    }
    return React.createElement("div", null,
        React.createElement(Button, { color: "primary", size: "sm", disabled: !!disabled, outline: true, onClick: chooseFile.bind(null, accepts) },
            React.createElement("i", { className: "fa fa-upload" }),
            " ",
            React.createElement(FormattedMessage, { id: "CHOOSE_FILE" })),
        children && children(null),
        React.createElement(DragAndDropProvider, { onMove: !noMove && onMove }, controllers.map((a, i) => React.createElement(FilePickerCore, { key: getConstantUniqueIdFor(a), disabled: !!disabled, className: "mt-2", accepts: accepts, value: a, index: i, onNotify: _onChange.bind(null, a) }, children))));
}
